## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           ocaml-intrinsics-kernel
Version:        0.17.1
Release:        %autorelease
Summary:        OCaml interface to CPU intrinsics

License:        MIT
URL:            https://github.com/janestreet/ocaml_intrinsics_kernel
VCS:            git:%{url}.git
Source:         %{url}/archive/v%{version}/ocaml_intrinsics_kernel-%{version}.tar.gz
# Use the popcnt instruction only if the running CPU supports it
Patch:          %{name}-popcnt.patch

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch:    %{ix86}

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-dune >= 3.11.0

%description
The ocaml_intrinsics_kernel library provides an OCaml interface to
operations that have dedicated hardware instructions on some
micro-architectures.  Currently, it provides the following operations:

- conditional select

See ocaml_intrinsics for details.  Unlike ocaml_intrinsics,
ocaml_intrinsics_kernel can be used by programs compiled to javascript.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n ocaml_intrinsics_kernel-%{version} -p1

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc README.md
%license LICENSE.md

%files devel -f .ofiles-devel

%changelog
## START: Generated by rpmautospec
* Thu Jan 09 2025 Jerry James <loganjerry@gmail.com> - 0.17.1-2
- OCaml 5.3.0 rebuild for Fedora 42

* Wed Aug 21 2024 Jerry James <loganjerry@gmail.com> - 0.17.1-1
- Version 0.17.1
- Drop upstreamed SSE2 patch

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 03 2024 Jerry James <loganjerry@gmail.com> - 0.17.0-1
- Initial RPM
## END: Generated by rpmautospec
